{
  pkgs
, lib
, fetchFromGitHub
, python3Packages
, python3
, extraPkgs ? pkgs: []
}:

python3Packages.buildPythonApplication rec {
  pname = "pySmartDL";
  version = "1.3.4";

  src = fetchFromGitHub {
    owner = "iTaybb";
    repo = "pySmartDL";
    rev = "v${version}";
    sha256 = "1hr029gh0l0km1prhmxyy0jwgi61l16b5v30rnlc3mc123gszp0j";
  };

  doCheck = false;
  
  meta = with lib; {
    homepage = "https://github.com/iTaybb/pySmartDL/";
    description = "A Smart Download Manager for Python ";
    license = licenses.unlicense;
    maintainers = [];
    platforms = platforms.linux;
  };
}
